DCMTK: DJLSRepresentationParameter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DJLSRepresentationParameter Class Reference

representation parameter for JPEG-LS More...

Inheritance diagram for DJLSRepresentationParameter:

## Public Member Functions
| DJLSRepresentationParameter (Uint16 nearlosslessDeviation=2, OFBool losslessProcess=OFTrue)
| constructor
| DJLSRepresentationParameter (const DJLSRepresentationParameter &arg)
| copy constructor
virtual | ~DJLSRepresentationParameter ()
| destructor
virtual DcmRepresentationParameter * | clone () const
| this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.
virtual const char * | className () const
| returns the class name as string.
virtual OFBool | operator== (const DcmRepresentationParameter &arg) const
| compares an object to another DcmRepresentationParameter.
Uint16 | getnearlosslessDeviation () const
| returns the desired NEAR parameter
OFBool | useLosslessProcess () const
| returns true if lossless compression is desired
Public Member Functions inherited from DcmRepresentationParameter
| DcmRepresentationParameter ()
| default constructor
| DcmRepresentationParameter (const DcmRepresentationParameter &)
| copy constructor
virtual | ~DcmRepresentationParameter ()
| destructor

## Private Attributes
Uint16 | nearlosslessDeviation_
| desired NEAR parameter Default is 0 (lossless compression).
OFBool | losslessProcess_
| true if lossless process should be used even in lossy transfer syntax

## Detailed Description

representation parameter for JPEG-LS

## Constructor & Destructor Documentation

## ◆ DJLSRepresentationParameter()

DJLSRepresentationParameter::DJLSRepresentationParameter | ( | Uint16 | nearlosslessDeviation = 2,
|  | OFBool | losslessProcess = OFTrue )

constructor

Parameters

  nearlosslessDeviation | used as parameter NEAR in JPEG-LS nearlossless-encoding process
  losslessProcess | true if lossless process is requested

Referenced by DJLSRepresentationParameter().

## Member Function Documentation

## ◆ className()

virtual const char * DJLSRepresentationParameter::className | ( |  | ) | const
| virtual

returns the class name as string.

can be used in operator== as poor man's RTTI replacement.

Implements DcmRepresentationParameter.

## ◆ clone()

virtual DcmRepresentationParameter * DJLSRepresentationParameter::clone | ( |  | ) | const
| virtual

this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.

Returns
  copy of this object

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

## ◆ getnearlosslessDeviation()

Uint16 DJLSRepresentationParameter::getnearlosslessDeviation | ( |  | ) | const
| inline

returns the desired NEAR parameter

Returns
  return desired NEAR-Parameter

References nearlosslessDeviation_.

## ◆ operator==()

virtual OFBool DJLSRepresentationParameter::operator== | ( | const DcmRepresentationParameter & | arg | ) | const
| virtual

compares an object to another DcmRepresentationParameter.

Implementation must make sure that classes are comparable.

Parameters

  arg | representation parameter to compare with

Returns
  true if equal, false otherwise.

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

## ◆ useLosslessProcess()

OFBool DJLSRepresentationParameter::useLosslessProcess | ( |  | ) | const
| inline

returns true if lossless compression is desired

Returns
  true if lossless compression is desired

References losslessProcess_.

## Member Data Documentation

## ◆ nearlosslessDeviation_

Uint16 DJLSRepresentationParameter::nearlosslessDeviation_
| private

desired NEAR parameter Default is 0 (lossless compression).

Ignored during lossless compression.

Referenced by getnearlosslessDeviation().

The documentation for this class was generated from the following file:

- dcmjpls/include/dcmtk/dcmjpls/djrparam.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2